<?php
/* $Id: main.inc.php,v 1.6 2009/06/18 21:02:12 Criss Exp $ */
/*
 Plugin Name: Comment Editor
 Version: 1.0.d
 Description: Allow to edit comment
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=296
 Author: Criss
 Author URI: http://piwigo.org/
*/

/** History **

    2009-06-18 1.0.d
                        Improve sanity checking

    2009-06-18 1.0.c
                        Add maintain.inc.php file
                        Fix bug in CE_Comment::validateAuthor()

    2009-06-18 1.0.b
                        Fix plugin URI to be available in plugin update
                        check page.
                        Reduce code line size.

*/
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('CE_PATH', PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
define('CE_ROOT', dirname(__FILE__).'/');
include_once(CE_PATH . 'include/ce_common.inc.php');


$ce_plugin = new CE_Plugin();
add_event_handler(  'loc_begin_page_header',
                    array(&$ce_plugin, 'loc_begin_page_header'));
add_event_handler(  'loc_begin_index',
                    array(&$ce_plugin, 'loc_end_index'), 1);

set_plugin_data($plugin['id'], $ce_plugin);

?>